declare const _default: import("react-redux").ConnectedComponent<typeof SaveStatus, {
    [x: string]: any;
    [x: number]: any;
    [x: symbol]: any;
    context?: import("react-remove-scroll/node_modules/@types/react").Context<import("react-redux").ReactReduxContextValue<any, UnknownAction> | null> | undefined;
    store?: any;
} | {
    [x: string]: any;
    [x: number]: any;
    [x: symbol]: any;
    store?: any;
}>;
export default _default;
declare class SaveStatus extends Component<any, any, any> {
    constructor(props: any, context: any);
    state: {
        showSavingingTimeout: null;
    };
    unnotify: () => void;
    notify: (undo: any) => void;
    setSaving(): void;
    setSaved(message?: string): void;
    setSaveError(error: any): void;
    clear(): void;
    render(): null;
}
import { Component } from "react";
